searchData={"items":[{"type":"task","title":"mix pagefind","doc":"Invokes pagefind with given args.\n\nUsage:\n\n    $ mix pagefind PAGEFIND_ARGS\n\nExample:\n\n    $ mix pagefind --site \"public\"\n\nIf pagefind is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Pagefind.html"},{"type":"task","title":"mix pagefind.install","doc":"Installs pagefind executable.\n\n    $ mix pagefind.install\n    $ mix pagefind.install --if-missing\n\nBy default, it installs 1.3.0 but you\ncan configure it in your config files, such as:\n\n    config :pagefind, :version, \"1.3.0\"\n\nTo install the Pagefind binary from a custom URL (e.g. if your platform isn't\nofficially supported by Pagefind), you can supply a third party path to the\nbinary (beware that we cannot guarantee the compatibility of any third party\nexecutable):\n\n```bash\n$ mix pagefind.install https://example.com/path/to/pagefind_extended-v1.3.0-aarch64-unknown-linux-musl.tar.gz\n```\n\n> **Note**: Make sure to use archived and compressed version of the `pagefind_extended` binary.","ref":"Mix.Tasks.Pagefind.Install.html"},{"type":"task","title":"Options - mix pagefind.install","doc":"* `--if-missing` - install only if the given version does not exist","ref":"Mix.Tasks.Pagefind.Install.html#module-options"},{"type":"module","title":"Pagefind","doc":"Pagefind is an installer and runner for [Pagefind](https://pagefind.app/)\n\nIt will always download the `pagefind_extended` release,\nwhich includes specialized support for indexing Chinese and Japanese pages.","ref":"Pagefind.html"},{"type":"module","title":"Pagefind configuration - Pagefind","doc":"There are the global configurations for the pagefind application:\n\n  * `:version` - the expected pagefind version, defaults to `1.3.0`\n    the latest known version at the time of publishing this package.\n\n  * `:path` - the path to find the pagefind executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\n  * `:target` - the target architecture for the pagefind executable.\n    For example `\"x86_64-unknown-linux-musl\"`. By default, it is automatically\n    detected based on system information.\n\n  * `:args` - the default arguments to pass to the pagefind executable.\n    By default, it is an empty list.\n    Read the [pagefind documentation](https://pagefind.app/docs/config-options/) for\n    more information on the available arguments.\n\n  * `:env` - optional environment variables to pass to the pagefind executable.\n\n        config :pagefind,\n          args: ~w(\n            --site _site\n          ),\n          env: %{\"PAGEFIND_OUTPUT_SUBDIR\" => \"pagefind\"}\n\n  Overriding the `:path` is not recommended, as we will automatically\n  download and manage `pagefind` for you. But in case you can't download\n  it (for example, GitHub behind a proxy), you may want to\n  set the `:path` to a configurable system location.\n\n  You can check the [pagefind docs](https://pagefind.app/docs/installation/) for\n  more information on how to install it.\n\n      config :pagefind, path: \"/path/to/pagefind\"","ref":"Pagefind.html#module-pagefind-configuration"},{"type":"function","title":"Pagefind.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Pagefind.html#bin_path/0"},{"type":"function","title":"Pagefind.bin_version/0","doc":"Returns the version of the pagefind executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Pagefind.html#bin_version/0"},{"type":"function","title":"Pagefind.configured_target/0","doc":"Returns the configured pagefind target. By default, it is automatically detected.","ref":"Pagefind.html#configured_target/0"},{"type":"function","title":"Pagefind.configured_version/0","doc":"Returns the configured pagefind version.","ref":"Pagefind.html#configured_version/0"},{"type":"function","title":"Pagefind.default_base_url/0","doc":"The default URL to install Pagefind from.","ref":"Pagefind.html#default_base_url/0"},{"type":"function","title":"Pagefind.install/1","doc":"Installs pagefind with `configured_version/0`.","ref":"Pagefind.html#install/1"},{"type":"function","title":"Pagefind.install_and_run/1","doc":"Installs, if not available, and then runs `pagefind`.\n\nReturns the same as `run/1`.","ref":"Pagefind.html#install_and_run/1"},{"type":"function","title":"Pagefind.run/1","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Pagefind.html#run/1"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 (2025-02-18) - Changelog","doc":"* First release","ref":"changelog.html#v0-1-0-2025-02-18"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}